﻿@using System.Web.UI.WebControls;
<table>
        <tr>
            <td style="height:25px; padding-right:4px;"> 
                @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "PC No";
                    edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
            </td>
            <td style="padding-right:10px;">
                @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "PCNO";
                    edtSettings.Width = Unit.Pixel(125);
                    edtSettings.Enabled = false;
                    if (edtSettings.Enabled == false)
                    {
                        edtSettings.Text = "Nusa Toyotetsu Corp";
                    }
                    else
                    {
                        edtSettings.Text = "5000-1";
                    } 
                }).GetHtml()
            </td>
            <td style="padding-right:4px;">
                @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "PC Date";
                    edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
            </td>
            <td  style="padding-right:10px;">
                @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "PCDate";
                    //edtSettings.Width = 100;
                    edtSettings.Width = Unit.Pixel(125);
                    edtSettings.Enabled = false;
                    if (edtSettings.Enabled == false)
                    {
                        edtSettings.Text = "12.01.2013";
                    }
                    else
                    {
                        edtSettings.Text = "2012/11/11";
                    }                     
                }).GetHtml()

            </td>
            <td style="padding-right:4px;">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Supplier Name";
                    edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
            </td>
            <td style="padding-right:10px;">
                @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "SupplierName";
                    //edtSettings.Width = 100;
                    edtSettings.Width = Unit.Pixel(125);
                    edtSettings.Enabled = false;
                    if (edtSettings.Enabled == false)
                    {
                        edtSettings.Text = "Nusa Toyotetsu Corp";
                    }
                    else
                    {
                        edtSettings.Text = "Supplier A";
                    }            
                }).GetHtml()
            </td>
            <td style="padding-right:4px;">
                @Html.DevExpress().Label(
                    edtSettings =>
                    {
                        edtSettings.ControlStyle.CssClass = "label";
                        edtSettings.Text = "Effective Date";
                        edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;                        
                    }).GetHtml()
            </td>
            <td style="padding-right:10px;">
                @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "EffectiveDate";
                    edtSettings.Width = 100;
                    edtSettings.Width = Unit.Pixel(125);
                    edtSettings.Enabled = false;
                    if (edtSettings.Enabled == false)
                    {
                        edtSettings.Text = "12.01.2013";
                    }
                    else
                    {
                        edtSettings.Text = "2012/11/11";
                    }
                }).GetHtml()
            </td>  
            <td style="padding-right:4px;">
                @Html.DevExpress().Label(
                    edtSettings =>
                    {
                        edtSettings.ControlStyle.CssClass = "label";
                        edtSettings.Text = "Status";
                        edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;                        
                    }).GetHtml()
            </td>
            <td >
                @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "StatusPC";
                    edtSettings.Width = 100;
                    edtSettings.Width = Unit.Pixel(125);
                    edtSettings.Text = "Pending SH";
                    edtSettings.Enabled = false;
                  
                }).GetHtml()
            </td>                      
    </tr>
    <tr>
    <td colspan="10"><div style="height:4px;"></div>
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                    <td style="padding-right: 10px;" align="left"  width="100%">
                        @Html.DevExpress().Button(
                        edtSettings =>
                            {
                                edtSettings.Text = "Release Approval";
                                edtSettings.Name = "ReleaseApproval";
                            }).GetHtml()
                    </td>
                    <td style="padding-right: 4px;" align="right">
                        @Html.DevExpress().Button(
                            edtSettings =>
                            {
                                edtSettings.Text = "Reject";
                                edtSettings.Name = "Reject";
                                edtSettings.Width = Unit.Pixel(80);
                            }).GetHtml()
                    </td>
                    <td align="right" style="padding-left: 4px;">
                        @Html.DevExpress().Button(
                            edtSettings =>
                            {
                                edtSettings.Text = "Back";
                                edtSettings.Name = "Back";
                                edtSettings.Width = Unit.Pixel(80);
                                edtSettings.RouteValues = new { Controller = "PriceConfirmationApprovalByPC", Action = "ActionLinkToPcToBeReleased" };
                            }).GetHtml()
                    </td>
                </tr>
             </table>
    </td>
    </tr>
</table>
